gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Flags

Contents

- Flags
  - HyperlinkStateFlags

Description

Synopsis

- data HyperlinkStateFlags
  - = HyperlinkStateFlagsInline
  - | AnotherHyperlinkStateFlags Int

# Flags

## HyperlinkStateFlags

data HyperlinkStateFlags Source #

Describes the type of link

Constructors

HyperlinkStateFlagsInline | Link is inline
AnotherHyperlinkStateFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum HyperlinkStateFlags Source # |

Instance details

Defined in GI.Atk.Flags

Methods

succ :: HyperlinkStateFlags -> HyperlinkStateFlags

pred :: HyperlinkStateFlags -> HyperlinkStateFlags

toEnum :: Int -> HyperlinkStateFlags #

fromEnum :: HyperlinkStateFlags -> Int #

enumFrom :: HyperlinkStateFlags -> [HyperlinkStateFlags]

enumFromThen :: HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags]

enumFromTo :: HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags]

enumFromThenTo :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags]

Eq HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods (==) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool # (/=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool #
Ord HyperlinkStateFlags Source # |

Instance details

Defined in GI.Atk.Flags

Methods

compare :: HyperlinkStateFlags -> HyperlinkStateFlags -> Ordering

(<) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool

(<=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool

(>) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool

(>=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool

max :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags

min :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags

Show HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods showsPrec :: Int -> HyperlinkStateFlags -> ShowS # show :: HyperlinkStateFlags -> String # showList :: [HyperlinkStateFlags] -> ShowS #
IsGFlag HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
BoxedFlags HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
TypedObject HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods glibType :: IO GType Source #
HasParentTypes HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
type ParentTypes HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags type ParentTypes HyperlinkStateFlags = '[] :: [Type]